Jail breaking. Will the Boot Loader change???? to unlock 3G...

Discussion in 'Jailbreaks and iOS Hacks' started by The1TexasRanger, Apr 23, 2009.

  1. The1TexasRanger macrumors member

    The1TexasRanger

    Joined:
    Feb 19, 2009
    #1
    I want to jailbreak my i Phone now but does it matter what firmware I pick for the restore file to jailbreak with? Currently I have 2.30.03 & 2.2.1(5H11). Here are the options for the firmware. Does it matter which one I pick?? Will they possible change the BL that I currently have?? Cause I want to hopefully use BBdowngrade to use yellowsnow after jail breaking.




    FOR THOSE WHO WANT TO UNLOCK:
    - 2.2.0 (3G): iPhone1,2_2.2_5G77_Restore.ipsw

    FOR THOSE WHO DO NOT WANT TO UNLOCK:
    - 2.2.1 (3G): iPhone1,2_2.2.1_5H11_Restore.ipsw




    Thanks! I was looking at this tutorial for jail breaking.
    http://www.iclarified.com/entry/index.php?enid=1881
     
  2. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #2
    If you want to unlock it and use with other carriers then you'd need to downgrade your boot loader.
    Yellowsnow wont work with a stock 2.2.1 and 2.30.03
    You need to downgrade your baseband to 02.28.00

    From the Dev-Teams site:
    BASICS

    •The unlock works exclusively with baseband 02.28.00. This baseband is provided by the latest firmware update (2.2) from Apple. You’ll need to upgrade to this release using iTunes and then use QuickPwn to activate etc. There are plenty of tutorials about this on iclarified, bigboss, modmi and other established tutorial sites. Because it works on 02.28.00, it is available to everyone on the planet. This means we don’t need to unnecessarily expose holes in earlier basebands, which is an important concern.
    •The application is a small daemon that is launched on boot. It injects the payload at boot and also whenever there is a baseband reset. You won’t notice anything about it other than that your third-party sim now works. It’s a small program and unobtrusive. There is no GUI (this is by design).
    •You can add the application using the sources outlined below. There are Cydia and Installer sources available, so use whichever you are comfortable using.
    •yellowsn0w is completely removable through Cydia, the command line, and iTunes.
     
  3. The1TexasRanger thread starter macrumors member

    The1TexasRanger

    Joined:
    Feb 19, 2009
    #3


    Cool...Yeah I know the stock wont work I just didn't know which would be better to jail break to the
    2.2.0 (3G): iPhone1,2_2.2_5G77_Restore.ipsw

    (OR)

    2.2.1 (3G): iPhone1,2_2.2.1_5H11_Restore.ipsw

    can I run 2.2.1 with baseband 2.28 and yellowsnow or does yellowsnow only work with 2.2? Will any of this have potential to change my BL? Thanks.
     
  4. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #4
    Read this:
    Locked iPhone 3G - Preserve Baseband

    This applies if you have a locked iPhone 3G and you wish to update to 2.2.1 but preserve the iPhone’s current baseband software. Preserving the baseband will ensure that you can still use “yellowsn0w” the iPhone 3G unlock application. To upgrade your phone to 2.2.1 and preserve the state of the baseband you need to create a custom .ipsw with PwnageTool. This custom .ipsw will not contain the baseband update but of course will still give you any new stuff from 2.2.1

    There are plenty of tutorials about this process on the web, but PwnageTool contains intuitive graphics and easy to follow prompts that should have you up and running in no time at all. Please note: PwnageTool is only available for Mac OS X.


    And alot of info here:
    http://blog.iphone-dev.org/post/74278878/close-the-stable-door
     
  5. Phil A. Moderator

    Phil A.

    Staff Member

    Joined:
    Apr 2, 2006
    Location:
    Shropshire, UK
    #5
    AFAIK, unless you have a phone that was manufactured before September 2008 (bootloader 5.8), you can't downgrade your baseband from 2.30.03.

    There is a tool here that supposedly lets you downgrade from 2.30.03 to 2.28.00 if you have the old bootloader (I've not tried it myself)
     
  6. The1TexasRanger thread starter macrumors member

    The1TexasRanger

    Joined:
    Feb 19, 2009
    #6

    Ok, I bought the phone second hand and it had the 2.28 baseband. Im not sure when it was manufactured tho. Will anything change the boot loader? And at this point I guess I can jail break with the 2.2.1 cause I already have the latest base band? I was worried about the firmware change changing the boot loader.
     
  7. megamanbnmaster macrumors 6502

    Joined:
    Jan 26, 2008
    #7
    2.28 is not the latest baseband. Use a mac, and then use pwnagetool to create a 2.2.1 custom firmware. Then restore your iPhone 3G using that custom firmware. Afterwards, the baseband shouldn't be updated and then you could use yellowsn0w with it perfectly. That is most likely your safest bet. (no need for downgrade, it keeps the baseband)

    If you upgrade with quickpwn, your baseband will get updated to 2.30 and therefore unable to be unlocked for yellowsn0w.
    I'm not 100% sure about the new baseband downgrade though.
     
  8. The1TexasRanger thread starter macrumors member

    The1TexasRanger

    Joined:
    Feb 19, 2009
    #8
    Yeah, the phone had 2.28 but now has the 2.30.03 updated base band. So basically cause I have the 2.30 bb it doesn't matter how I jailbreak it right? I can just jailbreak using the guide for 2.2.1 with the updated bb. I was just wondering if I should jailbreak with the 2.2 older firmware (that might change the boot loader) then downgrade the bb and later create a custom firmware for 2.2.1. Is this possible? Thanks.
     

Share This Page